%global gem_name compass

%global rubyabi 1.9.1

Name:          rubygem-%{gem_name}
Summary:       A Sass-based CSS Meta-Framework
Version:       0.12.2
Release:       5%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://compass-style.org
Source0:       http://gemcutter.org/downloads/compass-%{version}.gem
BuildRequires: rubygems-devel
# Remove testing dependancies
# Put these back when ruby2 has stabilized
#BuildRequires: rubygem(cucumber)
#BuildRequires: rubygem(mocha)
#BuildRequires: rubygem(chunky_png)
#BuildRequires: rubygem(timecop)
#BuildRequires: rubygem(haml) >= 3.1
#BuildRequires: rubygem(minitest)
%if 0%{?fedora} >= 19
Requires:      ruby(release)
%else
Requires:      ruby(abi) >= %{rubyabi}
%endif
Requires:      ruby(rubygems)
Requires:      rubygem(haml) >= 3.1
Requires:      rubygem(chunky_png)
Requires:      rubygem(fssm) >= 0.2.7
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

%description
A Sass-based CSS Meta-Framework that allows you to mix and match 
any of the following CSS frameworks: Compass Core, Blueprint, 
960, Susy, YUI, and others.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p ./%{gem_dir}
gem build %{gem_name}.gemspec
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# rpmlint will complain about these files
#rm %{buildroot}%{gem_instdir}/frameworks/compass/stylesheets/compass/utilities/general/_tabs.sass
rm -rf %{buildroot}%{gem_instdir}/.yardoc

# Remove testing
# Put these back when ruby2 has stabilized
#%check
#pushd %{buildroot}/%{gem_instdir}
## Original test
##find -type f -name *_test.rb | xargs testrb -Ilib:test
## Only run the tests that run
#testrb -Ilib:test \
#./test/units/configuration_test.rb  \
#./test/units/sprites/sprite_map_test.rb \
#./test/units/sprites/engine_test.rb \
#./test/units/sprites/image_row_test.rb \
#./test/units/sprites/importer_test.rb \
#./test/units/sprites/sprite_command_test.rb \
#./test/units/sprites/layout_test.rb \
#./test/units/regressions_test.rb \
#./test/units/compass_module_test.rb \
#./test/units/actions_test.rb \
#./test/units/command_line_test.rb \
#./test/integrations/sprites_test.rb

## These tests fail for various reasons
##./test/units/sprites/image_test.rb \
##./test/units/sprites/row_fitter_test.rb \
##./test/units/compiler_test.rb \
##./test/units/compass_png_test.rb \
##./test/units/sass_extensions_test.rb \
##./test/integrations/compass_test.rb

## rpmlint will complain about these files
#rm -rf test/fixtures/stylesheets/*/sass/.sass-cache
#rm -rf .sass-cache
#popd

%files
%{_bindir}/compass
%dir %{gem_instdir}
%{gem_instdir}/frameworks
%{gem_libdir}
%{gem_instdir}/bin
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/LICENSE.markdown
%doc %{gem_instdir}/README.markdown
%doc %{gem_instdir}/VERSION.yml
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
%doc %{gem_instdir}/features
%doc %{gem_docdir}
%{gem_cache}
%{gem_spec}


%changelog
* Mon Mar 18 2013 Troy Dawson <tdawson@redhat.com> - 0.12.2-5
- Change format to work with new ruby format

* Wed Mar 13 2013 Troy Dawson <tdawson@redhat.com> - 0.12.2-4
- Fix to make it build/install on F19+
- Removed testing until ruby2 gems have stabilized

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 12 2012 Troy Dawson <tdawson@redhat.com> - 0.12.2-2
- Get tests to run on rawhide

* Tue Nov 13 2012 Mo Morsi <mmorsi@redhat.com> - 0.12.2-1
- update to latest upstream release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 0.11.5-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 28 2011 Mo Morsi <mmorsi@redhat.com> - 0.11.5-2
- include fssm and chunky_png dependencies

* Wed Sep 28 2011 Mo Morsi <mmorsi@redhat.com> - 0.11.5-1
- update to latest upstream release

* Tue Mar 29 2011 Mo Morsi <mmorsi@redhat.com> - 0.10.6-1
- update to latest upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 14 2010 Mohammed Morsi <mmorsi@redhat.com> - 0.8.17-3
- file list fixes to remove duplicate files 

* Wed Apr 14 2010 Mohammed Morsi <mmorsi@redhat.com> - 0.8.17-2
- small fixes based on feedback
- replace defines w/ globals
- added check section / run tests

* Wed Feb 03 2010 Mohammed Morsi <mmorsi@redhat.com> - 0.8.17-1
- Initial package
